Fetching staged product runtime configs

Fetching staged product runtime configs
Fetching staged product runtime configs

This endpoint returns a list of the runtime configs included globally when deploying the specified product.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/runtime_configs
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

Returns RuntimeConfigs of type(s) application/json
{
    "runtime_configs": [
        {
            "name": "string",
            "manifest": {}
        }
    ]
}
array of runtime_configs
runtime_configs
Optional

runtime_configs


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product does not exist, or has not been deployed

Returns RequiresInstalledProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


422

Endpoint is not compatible with BOSH Director

Returns RequiresNonBoshProduct of type(s) application/json
{
    "errors": [
        "string"
    ]
}
array of string
errors
Required

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/runtime_configs